## openvswitch-dpdk 2.4.0

=== debian/changelog ===
openvswitch-dpdk (2.4.0-0ubuntu1) wily; urgency=medium

  * Initial upload of cut-down DPDK enabled openvswitch package
    (LP: #1487538):
    - d/control,changelog: Rename source package, trim down to single
      binary openvswitch-switch-dpdk for just x86 architectures.
    - d/rules: Skip most of install - just install ovs-vswitchd.
    - d/openvswitch-switch-dpdk.*: Install binary via alternatives
      at a lower priority than the standard openvswitch-switch binary.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Oct 2015 18:54:37 -0700

openvswitch (2.4.0-0ubuntu2) wily; urgency=medium

  * Install ovs-vswitchd binary using alternatives for all architectures
    to support use of alternative dpdk enabled binaries (LP: #1499759):
    - d/rules: Move ovs-vswitchd to /usr/lib/openvswitch-switch.
    - d/openvswitch-switch.{postinst,prerm}: Install binary using
      alternatives.

 -- James Page <james.page@ubuntu.com>  Fri, 25 Sep 2015 15:42:34 +0100

openvswitch (2.4.0-0ubuntu1) wily; urgency=medium

  * Update to 2.4.0 release from previous snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Sep 2015 11:53:49 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu2) wily; urgency=medium

  * d/rules: Skip unit tests on powerpc - see https://pad.lv/1483572 for
    full details.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:26:13 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu1) wily; urgency=medium

  * New upstream snapshot from 2.4 branch:
    - d/*: Align any relevant packaging changes with upstream.
  * d/*: wrap-and-sort.
  * d/openvswitch-{common,vswitch}.install: Correct install location for
    bash completion files.
  * d/tests/openflow.py: Explicitly use ovs-testcontroller as provided
    by 2.4.0 release.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Aug 2015 11:35:15 +0100

openvswitch (2.3.2-0ubuntu3) wily; urgency=medium

  * d/tests/openflow.py: Use net.addLink to add links between switches and
    hosts to ensure that they get cleanup up after use, fixing autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jul 2015 12:48:25 +0100

openvswitch (2.3.2-0ubuntu2) wily; urgency=medium

  * d/p/rules: Skip test 717 due to failure on powerpc - see
    http://pad.lv/1472202 for full details.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jul 2015 11:15:12 +0100

openvswitch (2.3.2-0ubuntu1) wily; urgency=medium

  * New upstream point release.
  * Refresh all patches.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:34:02 +0100

openvswitch (2.3.1-0ubuntu1) vivid; urgency=low

   * New upstream release.
   * d/rules,*.manpages: Rewrite to use more standard debhelper sequencing.
   * d/automake.mk,openvswitch-switch.default,rules:
     Rename openvswitch-switch.template -> openvswitch-switch.default.
   * Enable systemd support:
     - d/openvswitch-switch.service,
       d/openvswitch-switch.openvswitch-nonetwork.service:
       Systemd unit files, derived from RHEL versions.
     - d/control: Add BD on dh-systemd.
     - d/rules: Enable systemd helper, explicit no-start install of
       openvswitch-nonetwork unit.
     - d/ifupdown.sh: Tweak to support use with systemd ifinstalled.
   * d/control: Bumped Standards-Version 3.9.6, no changes.
   * d/tests/common: Drop module reload checks, as we always use the
     in-tree kernel module now.
   * d/python-openvswitch.*,openvswitch-test.*,automake.mk:
     Tidy up install of Python components.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Dec 2014 12:36:25 +0000

openvswitch (2.3.0+git20140819-2ubuntu2) vivid; urgency=medium

  * Resolve DEP-8 test failures:
    - d/tests/openflow.py: Explicitly configure switches to use
      OpenFlow 1.0 protocol.
    - d/tests/control: Version dependency on mininet >= 2.2.0~
      to support specification of protocol version.
  * d/tests/openflow.py: format to flake8 standard.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Nov 2014 14:41:55 +0000

openvswitch (2.3.0+git20140819-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control,tests: Add autopkg tests.
    - d/control,openvswitch-testcontroller*: Add binary package for
      test controller to support use with mininet.
    - d/rules,*.upstart: Add upstart configurations for openvswitch-switch.
    - d/p/xcp-interface-reconfigure.patch: Add support for Debian
      packaged xcp-xapi if found.
    - d/rules: Ensure dh_autoreconf_clean is called.
    - d/rules: Add helper for generating snapshot from upstream git repo.
    - d/control,compat: Bump debhelper compat level to 9.
    - d/control: Bump Standards-Version to 3.9.5, no changes.
    - d/control: Add alternative dependency - kmod | module-init-tools.
  * d/control: Add missing ${shlibs:Depends} to openvswitch-testcontroller.
  * d/tests/*: Drop dkms and module assistant tests now that we no longer
    ship the datapath kernel module.
  * d/rules: Align snapshot creation to new repo location and 2.3 branch.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Nov 2014 14:03:17 +0000

openvswitch (2.3.0+git20140819-2) unstable; urgency=low

  * debian/rules: Rerun checks on tests that fail the first time.  Skip
    tests 711, 712, and 713 that seem to fail due to races on buildds.
  * debian/patches/cfm-avoid-long-delay: Upstream patch to avoid
    test failures in CFM tests due to "long delay" log messages at WARN level.
  * debian/patches/ovs-appctl-log-options.patch,
    debian/patches/disable-poll-loop-logging-for-long-output.patch:
    Upstream patches to avoid test failures in tests that generate a ton
    of output.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 20 Aug 2014 08:31:11 -0700

openvswitch (2.3.0+git20140819-1) unstable; urgency=low

  * New upstream release:
   - OpenFlow 1.1, 1.2, and 1.3 are now enabled by default in
     ovs-vswitchd.
   - Linux kernel datapath now has an exact match cache optimizing the
     flow matching process.

