=== debian/control ===
Source: openvswitch-dpdk
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>,
           Simon Horman <horms@debian.org>,
Build-Depends: autoconf (>= 2.64),
               automake (>= 1.10) | automake1.10,
               bzip2,
               debhelper (>= 9~),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               graphviz,
               libdpdk-dev,
               libfuse-dev,
               libssl-dev,
               libtool,
               openssl,
               procps,
               python-all (>= 2.6.6-3~),
               python-qt4,
               python-twisted-conch,
               python-zopeinterface,
Standards-Version: 3.9.6
Homepage: http://openvswitch.org/
XS-Testsuite: autopkgtest

Package: openvswitch-switch-dpdk
Architecture: i386 amd64
Depends: dpdk,
         openvswitch-switch (>= 2.4.0),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Enhances: openvswitch-switch,
Description: DPDK enabled Open vSwitch switch implementation
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.
 .
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 This package contains the runtime environment to run DPDK applications.
 .
 This package provides a DPDK enabled implementation of the ovs-vswitchd
 binary.
